Chơi nhạc, DVD, hỗ trợ flash… trong Ubuntu

Sau khi cài đặt Ubuntu bạn sẽ không thể chơi được các tập tin nhạc như mp3, wma, wmv hay đọc các đĩa phim DVD, trình duyệt chưa hỗ trợ flash… vì những định dạng này đã được đăng ký bản quyền, đăng ký bằng sáng chế… và ở một số quốc gia sẽ có hình thức xử phạt khi cài đặt các codec để chơi các tập tin nào mà không có trả phí hay đăng quyền sử dụng. Chính vì vậy mặc định Ubuntu không hỗ trợ codec để chơi các định dạng này, tuy nhiên Ubuntu cho phép người dùng tải codec về sử dụng và Ubuntu không chịu trách nhiệm pháp lý nếu người dùng bị truy tố trước pháp luật.

Để cài đặt codec bạn có thể dùng các cách cài đặt ứng dụng ở các bài trước và cài đặt gói ubuntu-restricted-extras:

  • Trong Synaptic hay Kho phần mềm bạn tìm từ khóa “ubuntu restricted extras”.
  • Trong terminal bạn cài đặt bằng dòng lệnh: sudo apt-get install ubuntu-restricted-extras.

Sau đó 2 chương trình mặc định trong Ubuntu là Rhythmbox và Totem đã có thể chơi nhạc mp3, wma, xem phim avi, wmv, …

Bạn có thể không cần cài đặt ubuntu restricted extras vẫn có thể chơi được các tập tin định dạng trên bằng chương trình VLC, tuy nhiên bạn sẽ phải tự cài đặt flash và một số codec cần thiết khác.

ubuntu-restricted-extras thật ra chỉ là 1 gói metapackage, gói metapackage sẽ giúp bạn cài đặt nhiều ứng dụng khác mà bạn không thể nào nhớ nỗi chúng. Sau đây sẽ là những gói mà ubuntu-restricted-extras sẽ phải cần cài đặt kèm theo:

  • ca-certificates-java
  • cabextract
  • flashplugin-installer
  • freepats
  • gstreamer0.10-ffmpeg
  • gstreamer0.10-pitfdll
  • gstreamer0.10-plugins-bad
  • gstreamer0.10-plugins-bad-multiverse
  • gstreamer0.10-plugins-ugly
  • gstreamer0.10-plugins-ugly-multiverse
  • icedtea-6-jre-cacao
  • icedtea6-plugin
  • java-common liba52-0.7.4
  • libaccess-bridge-java
  • libaccess-bridge-java-jni
  • libass4
  • libavcodec-extra-52
  • libavformat52
  • libavutil-extra-49
  • libcdaudio1
  • libcelt0-0
  • libdc1394-22
  • libdca0
  • libdirac-encoder0
  • libdvdnav4
  • libdvdread4
  • libenca0
  • libfaac0
  • libfaad2
  • libfftw3-3
  • libflite1
  • libgme0
  • libgsm1
  • libid3tag0
  • libiptcdata0
  • libkate1
  • libmad0
  • libmimic0
  • libmjpegtools-1.9
  • libmms0
  • libmodplug0c2
  • libmp3lame0
  • libmp4v2-0
  • libmpcdec3
  • libmpeg2-4
  • libofa0
  • libopencore-amrnb0
  • libopencore-amrwb0
  • libopenjpeg2
  • libopenspc0
  • liborc-0.4-0
  • libpostproc51
  • libquicktime1
  • libschroedinger-1.0-0
  • libsidplay1
  • libsoundtouch1c2
  • libswscale0
  • libtwolame0
  • libwildmidi0
  • libx264-85
  • libxvidcore4
  • openjdk-6-jre
  • openjdk-6-jre-headless
  • openjdk-6-jre-lib
  • ttf-mscorefonts-installer
  • tzdata-java
  • ubuntu-restricted-extras
  • unrar

Những gói trên sẽ cần cho Ubuntu 10.04, sau này chúng sẽ được nâng cấp lên những phiên bản mới nên tốt nhất bạn đừng nên cài từng gói một và hãy cài gói ubuntu-restricted-extras để có được những gói mới nhất.

This entry was posted in Linux, Ubuntu and tagged , , , , , . Bookmark the permalink.

Gửi phản hồi

Mời bạn điền thông tin vào ô dưới đây hoặc kích vào một biểu tượng để đăng nhập:

WordPress.com Logo

Bạn đang bình luận bằng tài khoản WordPress.com Log Out / Thay đổi )

Twitter picture

Bạn đang bình luận bằng tài khoản Twitter Log Out / Thay đổi )

Facebook photo

Bạn đang bình luận bằng tài khoản Facebook Log Out / Thay đổi )

Google+ photo

Bạn đang bình luận bằng tài khoản Google+ Log Out / Thay đổi )

Connecting to %s